"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getModifiedLines = void 0;
var logger_1 = require("../utils/logger");
function getModifiedLines(content) {
    var modifiedLines = [];
    var removedLines = [];
    try {
        var diffLineContentIter = content.split('\n');
        var addLineFrom = -1;
        var removeLineFrom = -1;
        var affectedLineNum = 0;
        for (var _i = 0, diffLineContentIter_1 = diffLineContentIter; _i < diffLineContentIter_1.length; _i++) {
            var currentDiffLine = diffLineContentIter_1[_i];
            if (currentDiffLine.startsWith('@')) {
                var lineNos = currentDiffLine.split('@@')[1].trim().split(' ');
                var removedLineDetail = lineNos[0].replace(/-/g, '').split(',');
                var addedLineDetail = lineNos[1].replace(/\+/g, '').split(',');
                addLineFrom = parseInt(addedLineDetail[0]);
                removeLineFrom = parseInt(removedLineDetail[0]);
                affectedLineNum = removeLineFrom;
                continue;
            }
            if (currentDiffLine.startsWith('+') || currentDiffLine.startsWith('-')) {
                var isLineChanged = currentDiffLine.trim().length > 1;
                if (isLineChanged) {
                    modifiedLines.push(affectedLineNum);
                }
                if (currentDiffLine.startsWith('-')) {
                    removedLines.push(affectedLineNum);
                }
                if (!currentDiffLine.startsWith('-')) {
                    affectedLineNum++;
                }
            }
        }
    }
    catch (exp) {
        logger_1.Logger.log(logger_1.Logger.FAILURE_TYPE, 'Exception Occurred');
    }
    return { modifiedLines: modifiedLines, removedLines: removedLines };
}
exports.getModifiedLines = getModifiedLines;
//# sourceMappingURL=getModifiedDiff.js.map