"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSummaryOfLint = exports.writeSummaryOfLint = void 0;
var path_1 = __importDefault(require("path"));
var fileUtils_1 = require("../utils/fileUtils");
var cliArgsToObject_1 = require("../utils/cliArgsToObject");
var eslintLintStage_1 = require("./eslintLintStage");
var startServer_sonarQube_1 = require("./startServer-sonarQube");
function getSummaryOfLint(cliParams) {
    var _a = (0, cliArgsToObject_1.cliArgsToObject)(cliParams), repo = _a.repo, branch = _a.branch, username = _a.username, lintEnv = _a.lintEnv;
    var $projectName = repo && branch && username
        ? "".concat(repo, "_").concat(branch, "_").concat(username)
        : "UAT_Testing";
    if (lintEnv === "pre-commit") {
        $projectName = "".concat((0, startServer_sonarQube_1.getProjectNameFrmGit)(), "_pre-commit");
    }
    return {
        projectName: $projectName,
        reportUrl: "https://serverlinter-np.zohodesk.csez.zohocorpin.com/project/issues?id=".concat($projectName, "&resolved=false"),
        jsonReportPath: (0, eslintLintStage_1.getReportPath)().toString(),
    };
}
exports.getSummaryOfLint = getSummaryOfLint;
function writeSummaryOfLint(cliParams) {
    (0, fileUtils_1.writeFileContents)(path_1.default.resolve(process.cwd(), "uat", "lint-report", "lint-summary.json"), JSON.stringify(__assign(__assign({}, getSummaryOfLint(cliParams)), (0, startServer_sonarQube_1.getLintStatus)())));
}
exports.writeSummaryOfLint = writeSummaryOfLint;
//# sourceMappingURL=sonarReportSummary.js.map