"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.objectToCliArgs = exports.cliArgsToObject = void 0;
function cliArgsToObject(cliArgs, isKeyNeedToBeAdded) {
    var processEnv = {};
    cliArgs.forEach(function (option) {
        if (/^--./.test(option)) {
            var equIndex = option.indexOf("=");
            var key = option.slice(2, equIndex);
            var value = option.slice(equIndex + 1);
            if (equIndex === -1) {
                key = option.slice(2);
                value = true;
            }
            processEnv[key] = value;
        }
    });
    return processEnv;
}
exports.cliArgsToObject = cliArgsToObject;
function objectToCliArgs(objectToBeConverted, isKeyNeedToBeAdded) {
    var argsArray = [];
    Object.keys(objectToBeConverted).forEach(function (key) {
        if (isKeyNeedToBeAdded(key)) {
            if (typeof objectToBeConverted[key] === "boolean" &&
                objectToBeConverted[key]) {
                argsArray.push("--".concat(key));
            }
            else {
                argsArray.push("--".concat(key, "=").concat(objectToBeConverted[key]));
            }
        }
    });
    return argsArray;
}
exports.objectToCliArgs = objectToCliArgs;
//# sourceMappingURL=cliArgsToObject.js.map