"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteFolder = exports.deleteFile = exports.writeFileContents = exports.readFileContents = exports.checkIfFileExists = void 0;
var fs_1 = __importDefault(require("fs"));
var path_1 = __importDefault(require("path"));
function checkIfFileExists(file) {
    try {
        fs_1.default.accessSync(file, fs_1.default.constants.F_OK);
        return true;
    }
    catch (err) {
        return false;
    }
}
exports.checkIfFileExists = checkIfFileExists;
function readFileContents(filePath) {
    try {
        var fileContents = fs_1.default.readFileSync(filePath, "utf-8");
        return fileContents;
    }
    catch (err) {
        return null;
    }
}
exports.readFileContents = readFileContents;
function writeFileContents(filePath, content, writeOptions) {
    if (writeOptions === void 0) { writeOptions = {}; }
    var directoryPath = path_1.default.dirname(filePath);
    if (!fs_1.default.existsSync(directoryPath)) {
        fs_1.default.mkdirSync(directoryPath, { recursive: true });
    }
    try {
        fs_1.default.writeFileSync("".concat(filePath), content, writeOptions);
    }
    catch (err) {
        throw new Error(err);
    }
}
exports.writeFileContents = writeFileContents;
function deleteFile(filePath) {
    if (checkIfFileExists(filePath)) {
        try {
            fs_1.default.unlinkSync(filePath);
        }
        catch (err) {
            throw new Error("Error while deleting the test data file: ".concat(filePath));
        }
    }
}
exports.deleteFile = deleteFile;
function deleteFolder(folderPath) {
    if (fs_1.default.existsSync(folderPath)) {
        try {
            fs_1.default.rmdirSync(folderPath, { recursive: true });
        }
        catch (err) {
            throw new Error("Error while deleting the test data file: ".concat(folderPath));
        }
    }
}
exports.deleteFolder = deleteFolder;
//# sourceMappingURL=fileUtils.js.map