"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = void 0;
var console_1 = require("console");
var LoggerImpl = (function () {
    function LoggerImpl() {
        this.SUCCESS_TYPE = "success";
        this.FAILURE_TYPE = "failure";
        this.INFO_TYPE = "info";
        this.colors = {
            success: ["\x1b[36m", "\x1b[0m"],
            failure: ["\x1b[31m", "\x1b[0m"],
            info: ["\x1b[33m", "\x1b[0m"],
        };
        this.consoleLogger = console_1.Console;
    }
    LoggerImpl.prototype.log = function (type, message) {
        var color = this.colors[type];
        this.consoleLogger.log("".concat(color[0]).concat(message).concat(color[1]));
    };
    LoggerImpl.prototype.error = function (errors) {
        this.consoleLogger.error(errors);
    };
    return LoggerImpl;
}());
exports.Logger = new LoggerImpl();
//# sourceMappingURL=logger.js.map